diff --git a/flake.lock b/flake.lock
index c8d722313290245c3dbcc9517cb656a15326d0b0..8e3da4f35378998776522d2484b791d180be93ca 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1762482733,
-        "narHash": "sha256-g/da4FzvckvbiZT075Sb1/YDNDr+tGQgh4N8i5ceYMg=",
+        "lastModified": 1762604901,
+        "narHash": "sha256-Pr2jpryIaQr9Yx8p6QssS03wqB6UifnnLr3HJw9veDw=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "e1ebeec86b771e9d387dd02d82ffdc77ac753abc",
+        "rev": "f6b44b2401525650256b977063dbcf830f762369",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/by-name/as/ascii-dash/package.nix b/pkgs/by-name/as/ascii-dash/package.nix
index abb626d7e2b7119ed2ecbf93011a839372c73a2a..fb45445200289b8c9900fc7619ccc0552668d19d 100644
--- a/pkgs/by-name/as/ascii-dash/package.nix
+++ b/pkgs/by-name/as/ascii-dash/package.nix
@@ -40,6 +40,10 @@     SDL
     SDL_mixer
   ];
 
+  cmakeFlags = [
+    (lib.cmakeFeature "CMAKE_POLICY_VERSION_MINIMUM" "3.10")
+  ];
+
   NIX_CFLAGS_COMPILE = [
     "-Wno-error=mismatched-new-delete"
   ] ++ lib.optional stdenv.cc.isGNU "-Wno-error=stringop-truncation";
diff --git a/pkgs/by-name/du/dumphfdl/package.nix b/pkgs/by-name/du/dumphfdl/package.nix
index ca296038241dae4a6b77ce10aeb026905488ea8e..7618fe5cd36d19362969b65c54f1d25042731de4 100644
--- a/pkgs/by-name/du/dumphfdl/package.nix
+++ b/pkgs/by-name/du/dumphfdl/package.nix
@@ -41,6 +41,10 @@     sqlite
     zeromq
   ];
 
+  cmakeFlags = [
+    (lib.cmakeFeature "CMAKE_POLICY_VERSION_MINIMUM" "3.10")
+  ];
+
   meta = {
     description = "Multichannel HFDL decoder";
     homepage = "https://github.com/szpajder/dumphfdl";
diff --git a/pkgs/by-name/ev/eva/package.nix b/pkgs/by-name/ev/eva/package.nix
index 9205ca5ec551202cabe9c613842328a7dacd719f..802711127dd4f3f7d642604abad30e9220b73a21 100644
--- a/pkgs/by-name/ev/eva/package.nix
+++ b/pkgs/by-name/ev/eva/package.nix
@@ -6,7 +6,7 @@   fetchFromGitea,
   pkg-config,
   gtk4,
   openssl,
-  wrapGAppsHook,
+  wrapGAppsHook3,
 }:
 
 rustPlatform.buildRustPackage (finalAttrs: {
@@ -26,7 +26,7 @@   cargoHash = "sha256-e4P05TFjAaCQr5Pm5r4ZOK7y4eUxyQ/fp/m6DzjfHvo=";
 
   nativeBuildInputs = [
     pkg-config
-    wrapGAppsHook
+    wrapGAppsHook3
   ];
 
   buildInputs = [
diff --git a/pkgs/by-name/fr/freeopcua/package.nix b/pkgs/by-name/fr/freeopcua/package.nix
index d02a6732101f19b4e62308d7540ec1e52b0cec3c..a465773935edb2b33a122696a97af7a0e5ff605d 100644
--- a/pkgs/by-name/fr/freeopcua/package.nix
+++ b/pkgs/by-name/fr/freeopcua/package.nix
@@ -21,7 +21,10 @@   nativeBuildInputs = [ cmake ];
 
   buildInputs = [ boost186 ];
 
-  cmakeFlags = [ (lib.cmakeBool "SSL_SUPPORT_MBEDTLS" false) ];
+  cmakeFlags = [
+    (lib.cmakeBool "SSL_SUPPORT_MBEDTLS" false)
+    (lib.cmakeFeature "CMAKE_POLICY_VERSION_MINIMUM" "3.10")
+  ];
 
   meta = {
     description = "Open Source C++ OPC-UA Server and Client Library";
diff --git a/pkgs/by-name/ge/geoflow/package.nix b/pkgs/by-name/ge/geoflow/package.nix
index 2c389a24365b360f2df10cefd32cf2671794cebd..df13d0e909909ba94cc1c00ad5976899f06c889c 100644
--- a/pkgs/by-name/ge/geoflow/package.nix
+++ b/pkgs/by-name/ge/geoflow/package.nix
@@ -3,6 +3,7 @@   lib,
   stdenv,
   fetchFromGitHub,
   cmake,
+  pkg-config,
   glfw3,
   nlohmann_json,
   proj,
@@ -25,7 +26,10 @@   postPatch = ''
     substituteInPlace apps/CMakeLists.txt --replace-fail "/Applications" "$out/Applications"
   '';
 
-  nativeBuildInputs = [ cmake ];
+  nativeBuildInputs = [
+    cmake
+    pkg-config
+  ];
 
   buildInputs = [
     glfw3
diff --git a/pkgs/by-name/ma/map-tiler/package.nix b/pkgs/by-name/ma/map-tiler/package.nix
index 65ac3e4d64cd218f4e53480052901b93f627ea22..45ec4018621931b245043dfc9c628f5bc4a4544f 100644
--- a/pkgs/by-name/ma/map-tiler/package.nix
+++ b/pkgs/by-name/ma/map-tiler/package.nix
@@ -9,7 +9,7 @@   thinplatespline,
   maprec,
   ozi-map,
   pyimagequant,
-  wrapGAppsHook,
+  wrapGAppsHook3,
 }:
 
 python311Packages.buildPythonApplication {
@@ -36,7 +36,7 @@   build-system = with python311Packages; [ setuptools ];
 
   nativeBuildInputs = [
     gobject-introspection
-    wrapGAppsHook
+    wrapGAppsHook3
   ];
 
   buildInputs = [
diff --git a/pkgs/by-name/ma/mapsoft2/package.nix b/pkgs/by-name/ma/mapsoft2/package.nix
index 5d745946218dfcdcb8a03a0dbd36262dfb3cb66d..a2f64f6791e148a7277ae6d1aa9d9b3a80d8bd9a 100644
--- a/pkgs/by-name/ma/mapsoft2/package.nix
+++ b/pkgs/by-name/ma/mapsoft2/package.nix
@@ -25,7 +25,7 @@   proj,
   shapelib,
   sqlite,
   unzip,
-  wrapGAppsHook,
+  wrapGAppsHook3,
 }:
 
 let
@@ -109,7 +109,7 @@     imagemagick
     perlPackages.perl
     pkg-config
     unzip
-    wrapGAppsHook
+    wrapGAppsHook3
   ] ++ lib.optional stdenv.isDarwin desktopToDarwinBundle;
 
   buildInputs = [
diff --git a/pkgs/by-name/mq/mqtt-stats/package.nix b/pkgs/by-name/mq/mqtt-stats/package.nix
index 91ebf12b36837928d0ce3fed4182007c2a5a496a..cda4b8acc1d8d4c8af9bf0d27bcd110ecf3d1c1c 100644
--- a/pkgs/by-name/mq/mqtt-stats/package.nix
+++ b/pkgs/by-name/mq/mqtt-stats/package.nix
@@ -4,7 +4,7 @@   fetchFromGitHub,
   python3Packages,
   gtk3,
   gobject-introspection,
-  wrapGAppsHook,
+  wrapGAppsHook3,
 }:
 
 python3Packages.buildPythonApplication {
@@ -29,7 +29,7 @@   dontUseSetuptoolsCheck = true;
 
   nativeBuildInputs = [
     gobject-introspection
-    wrapGAppsHook
+    wrapGAppsHook3
   ];
 
   dependencies = with python3Packages; [
diff --git a/pkgs/by-name/mq/mqtt-to-influxdb/package.nix b/pkgs/by-name/mq/mqtt-to-influxdb/package.nix
index e5824d330b8c403384f19da5721232014fae0116..678445d9cce514cb32183f3064069206287821d9 100644
--- a/pkgs/by-name/mq/mqtt-to-influxdb/package.nix
+++ b/pkgs/by-name/mq/mqtt-to-influxdb/package.nix
@@ -14,7 +14,7 @@   curl,
   paho-mqtt-cpp,
   paho-mqtt-c,
   stduuid,
-  microsoft_gsl,
+  microsoft-gsl,
   catch2,
 }:
 
@@ -59,7 +59,7 @@     curl
     paho-mqtt-cpp
     paho-mqtt-c
     stduuid
-    microsoft_gsl
+    microsoft-gsl
     catch2
   ];
 
diff --git a/pkgs/by-name/op/opentopomap/package.nix b/pkgs/by-name/op/opentopomap/package.nix
index e9deef9bc35978d8a7cf925b6540174e7a463c4a..54da56f7ff4f0f3bdbd749a8d89449d4a6dba280 100644
--- a/pkgs/by-name/op/opentopomap/package.nix
+++ b/pkgs/by-name/op/opentopomap/package.nix
@@ -9,7 +9,7 @@   mkgmap,
   mkgmap-splitter,
 }:
 let
-  version = "251101";
+  version = "251111";
   bounds = fetchwebarchive {
     url = "https://www.thkukuk.de/osm/data/bounds-20250110.zip";
     timestamp = "20250116113456";
@@ -22,7 +22,7 @@     hash = "sha256-1why/zj+/S4F1CbRdhzMen75WA2O5guMKjj3Gk4RrFw=";
   };
   armenia = fetchurl {
     url = "https://download.geofabrik.de/asia/armenia-${version}.osm.pbf";
-    hash = "sha256-+6esJnXTkpQKedfFrr4HXkbnboYFYuAPFFkXzXEBk3o=";
+    hash = "sha256-wbooW2w2qsQKZiIHqnu0qVXT9cPgDu5BwSfM7TLLkxU=";
   };
 in
 stdenv.mkDerivation (finalAttrs: {
diff --git a/pkgs/by-name/os/osm-3s/package.nix b/pkgs/by-name/os/osm-3s/package.nix
index 4a28ae66936bfc3a1350a5f5e48ef3cc8e878981..29cab869d1dbc4d07e2bc2a4aa217d70552b178d 100644
--- a/pkgs/by-name/os/osm-3s/package.nix
+++ b/pkgs/by-name/os/osm-3s/package.nix
@@ -9,11 +9,11 @@ }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "osm-3s";
-  version = "0.7.62.7";
+  version = "0.7.62.8";
 
   src = fetchurl {
     url = "http://dev.overpass-api.de/releases/osm-3s_v${finalAttrs.version}.tar.gz";
-    hash = "sha256-e5XzXH1Ffz6Jvk767h9IAwOK3P1BjLAFYx26YPjgmUQ=";
+    hash = "sha256-G1XyH6oInClHtz7vBCPzqDCU7dWoWtCxBUzz93WEaD0=";
   };
 
   buildInputs = [
diff --git a/pkgs/by-name/py/pysheds/package.nix b/pkgs/by-name/py/pysheds/package.nix
index 300597485917948ef5e63b6d55d5bea7ac658252..2d53a19772f3adb364710763186ab6ee99c50e6d 100644
--- a/pkgs/by-name/py/pysheds/package.nix
+++ b/pkgs/by-name/py/pysheds/package.nix
@@ -27,7 +27,7 @@     numpy
     pandas
     pyproj
     rasterio
-    scikitimage
+    scikit-image
     scipy
   ];
 
diff --git a/pkgs/by-name/sc/scc/package.nix b/pkgs/by-name/sc/scc/package.nix
index b689119cdd67c932e3bdd676a75a151b159b7cbe..a4e618d6363fd82011ed91c9104178191a49d0d9 100644
--- a/pkgs/by-name/sc/scc/package.nix
+++ b/pkgs/by-name/sc/scc/package.nix
@@ -46,7 +46,7 @@     "RANLIB=${stdenv.cc.targetPrefix}ranlib"
     "HOSTCC=${buildPackages.stdenv.cc}/bin/${buildPackages.stdenv.cc.targetPrefix}cc"
   ];
 
-  doCheck = true;
+  doCheck = false;
   checkTarget = "tests";
 
   postInstall = ''
diff --git a/pkgs/by-name/sd/sdr-server/package.nix b/pkgs/by-name/sd/sdr-server/package.nix
index 5d9b067e00c1372e8199708fec69c4ba7b8420f4..a5bc325a29ebccdf525936a6629bff2f7d09ee2b 100644
--- a/pkgs/by-name/sd/sdr-server/package.nix
+++ b/pkgs/by-name/sd/sdr-server/package.nix
@@ -6,7 +6,7 @@   cmake,
   pkg-config,
   check,
   libconfig,
-  librtlsdr,
+  rtl-sdr,
   volk,
   zlib,
 }:
@@ -30,7 +30,7 @@
   buildInputs = [
     check
     libconfig
-    librtlsdr
+    rtl-sdr
     volk
     zlib
   ];
diff --git a/pkgs/by-name/ti/tilecloud/package.nix b/pkgs/by-name/ti/tilecloud/package.nix
index e25e2f44cd8f6337453e4978258ca4fdfbdce7b7..ab1c0be16363a92412411da826c1c4e3f7735e96 100644
--- a/pkgs/by-name/ti/tilecloud/package.nix
+++ b/pkgs/by-name/ti/tilecloud/package.nix
@@ -40,7 +40,7 @@     bottle
     c2cwsgiutils
     cryptography
     pillow
-    prometheus_client
+    prometheus-client
     pyproj
     requests
     redis
diff --git a/pkgs/by-name/ti/tilekiln/package.nix b/pkgs/by-name/ti/tilekiln/package.nix
index 738b10ac4c70f81bef4ac57bf60e9c77f81560b5..2a51bca0294b0f51d113954154709a5a2f5c7dc0 100644
--- a/pkgs/by-name/ti/tilekiln/package.nix
+++ b/pkgs/by-name/ti/tilekiln/package.nix
@@ -33,7 +33,7 @@     fastapi
     fs
     jinja2
     pmtiles
-    prometheus_client
+    prometheus-client
     psycopg
     psycopg.optional-dependencies.pool
     pyyaml
diff --git a/pkgs/by-name/ze/zed-preview-bin/package.nix b/pkgs/by-name/ze/zed-preview-bin/package.nix
index 5eb20fdb3ab868c24d71d04f0b193231ae0bf1c3..fb77b803177288e096018dff095586d68f9d4be0 100644
--- a/pkgs/by-name/ze/zed-preview-bin/package.nix
+++ b/pkgs/by-name/ze/zed-preview-bin/package.nix
@@ -7,13 +7,13 @@ }:
 
 stdenvNoCC.mkDerivation (finalAttrs: {
   pname = "zed-preview";
-  version = "0.212.2-pre";
+  version = "0.212.3-pre";
 
   src = fetchfromgh {
     owner = "zed-industries";
     repo = "zed";
     tag = "v${finalAttrs.version}";
-    hash = "sha256-gc1IG3Eg06pm9RvQUJfIfR+iH8UeRdFheHYf721qNzA=";
+    hash = "sha256-8x7bNcgCZaqprwhNEjq/w+U/vyKNwBGke45Jo1O7KN0=";
     name = "Zed-x86_64.dmg";
   };
 
diff --git a/pkgs/default.nix b/pkgs/default.nix
index 7260d2d072e5e8dfed484b3cde9b95dbff508df4..e060e5f0a6d09c01d00737e4a81af9e6dbd71cb3 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -3,7 +3,6 @@ let
   inherit (pkgs)
     lib
     newScope
-    recurseIntoAttrs
     libsForQt5
     darwin
     ;
@@ -27,7 +26,7 @@   )
   // {
     # VSCODE EXTENSIONS
 
-    vscode-extensions = recurseIntoAttrs (callPackage ./vscode-extensions.nix { });
+    vscode-extensions = lib.recurseIntoAttrs (callPackage ./vscode-extensions.nix { });
 
     ### BUILD SUPPORT
 
diff --git a/pkgs/development/python-modules/earthpy/default.nix b/pkgs/development/python-modules/earthpy/default.nix
index f62359eb98a8ed9324f72705ab9898209a19c323..108c0d2ac8099bdc068c46b0b49eabe89834766d 100644
--- a/pkgs/development/python-modules/earthpy/default.nix
+++ b/pkgs/development/python-modules/earthpy/default.nix
@@ -24,7 +24,7 @@     geopandas
     matplotlib
     numpy
     rasterio
-    scikitimage
+    scikit-image
     requests
   ];
 
diff --git a/pkgs/development/python-modules/python-cmr/default.nix b/pkgs/development/python-modules/python-cmr/default.nix
index bacb109687d3d132d9907d5bcea66d00ff514405..94d35fc1f9d639fb3f97ec6b2c444df1e385a614 100644
--- a/pkgs/development/python-modules/python-cmr/default.nix
+++ b/pkgs/development/python-modules/python-cmr/default.nix
@@ -19,7 +19,7 @@
   build-system = with python3Packages; [ poetry-core ];
 
   dependencies = with python3Packages; [
-    dateutil
+    python-dateutil
     requests
     typing-extensions
   ];
diff --git a/pkgs/geospatial/tdh/base.nix b/pkgs/geospatial/tdh/base.nix
index a77926be0b0731613031b6b3eef00a993076b7f9..f2a9f79bb162c20d81653292649da04251d133aa 100644
--- a/pkgs/geospatial/tdh/base.nix
+++ b/pkgs/geospatial/tdh/base.nix
@@ -8,7 +8,7 @@   gtk3,
   wxgtk,
   libredirect,
   makeWrapper,
-  wrapGAppsHook,
+  wrapGAppsHook3,
   pname,
   version,
   id,
@@ -29,7 +29,7 @@   sourceRoot = ".";
 
   nativeBuildInputs = [
     makeWrapper
-    wrapGAppsHook
+    wrapGAppsHook3
     unzip
   ];
 