diff --git a/flake.lock b/flake.lock
index 599d465fa5f7e3f2d39dcc0e9243eed9f2053cf8..a51755119606caf542ebeb13420cc4eb1b9ea53c 100644
--- a/flake.lock
+++ b/flake.lock
@@ -20,11 +20,11 @@       }
     },
     "nixpkgs": {
       "locked": {
-        "lastModified": 1755268003,
-        "narHash": "sha256-nNaeJjo861wFR0tjHDyCnHs1rbRtrMgxAKMoig9Sj/w=",
+        "lastModified": 1755829505,
+        "narHash": "sha256-4/Jd+LkQ2ssw8luQVkqVs9spDBVE6h/u/hC/tzngsPo=",
         "owner": "nixos",
         "repo": "nixpkgs",
-        "rev": "32f313e49e42f715491e1ea7b306a87c16fe0388",
+        "rev": "f937f8ecd1c70efd7e9f90ba13dfb400cf559de4",
         "type": "github"
       },
       "original": {
diff --git a/pkgs/darwin/zed/default.nix b/pkgs/darwin/zed/default.nix
index 459d7efcd5c1d20f4fefd3c3f922dd20d5ed4779..a99bb307493aa82fc69a03034b38871cd564461d 100644
--- a/pkgs/darwin/zed/default.nix
+++ b/pkgs/darwin/zed/default.nix
@@ -7,11 +7,11 @@ }:
 
 stdenvNoCC.mkDerivation (finalAttrs: {
   pname = "zed-preview";
-  version = "0.200.4-pre";
+  version = "0.201.3-pre";
 
   src = fetchurl {
     url = "https://zed.dev/api/releases/stable/${finalAttrs.version}/Zed-x86_64.dmg";
-    hash = "sha256-xYEoeGxWTiyoRTD4YyRcbDcJYTdT+5II2bhzVIkSXPk=";
+    hash = "sha256-ZPNOpTz5GScn/7jrnxIuaY/Q2Z01RZBvA+rPY/J96Fk=";
   };
 
   sourceRoot = ".";
diff --git a/pkgs/data/dicts/tatoeba/default.nix b/pkgs/data/dicts/tatoeba/default.nix
index 942df3d02fe1889cffce376262400f5cc3352abe..1adcc8a0ed1e30bd367fc5b988867e502cb52f09 100644
--- a/pkgs/data/dicts/tatoeba/default.nix
+++ b/pkgs/data/dicts/tatoeba/default.nix
@@ -45,7 +45,7 @@   tatoeba = builtins.fromJSON (builtins.readFile ./tatoeba.json);
 in
 stdenvNoCC.mkDerivation (finalAttrs: {
   pname = "tatoeba";
-  version = "2025-08-16";
+  version = "2025-08-23";
 
   srcs = lib.mapAttrsToList (name: spec: fetchurl spec) tatoeba;
 
diff --git a/pkgs/data/dicts/tatoeba/tatoeba.json b/pkgs/data/dicts/tatoeba/tatoeba.json
index f11c3069de8c00f3feb9f1c2459547ba00ea1a61..4a35c60ce60ef717d47f66d569fbd22cda20a393 100644
--- a/pkgs/data/dicts/tatoeba/tatoeba.json
+++ b/pkgs/data/dicts/tatoeba/tatoeba.json
@@ -5,35 +5,35 @@     "hash": "sha256-/2qyWMUIHu44juXqGMpBVJIhqoUIiSRDtCnB8nStAqk="
   },
   "deu_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu_sentences_detailed.tsv.bz2",
-    "hash": "sha256-ngq2c+55j+Ni4om8qmuV0+kjlOpeKFt4as64J6nVyLo="
+    "hash": "sha256-PPso2FbWs5daMnMjtPbdJjxAZ2w6t8dVUzOO7OZVdy4="
   },
   "eng_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng_sentences_detailed.tsv.bz2",
-    "hash": "sha256-CLnh5nw7hu3FMg6xDAGiXZ0QWD+SnSia4DyayaJibKY="
+    "hash": "sha256-eFxyqW4gMDtsuSJUAjZZU/PGyWyv3DCvqz/a4XLDD9c="
   },
   "epo_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo_sentences_detailed.tsv.bz2",
-    "hash": "sha256-jdtKp6MN9B9asy2gbV+Afi5l5CfGcAjjZzt6jiFsmQE="
+    "hash": "sha256-oghrw/9ioty2fCozK9OuYpmEbvxah8UkqYppuuKM6N0="
   },
   "fin_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin_sentences_detailed.tsv.bz2",
-    "hash": "sha256-LG0gHtGT+gD1SjqkblAVTqdI4mJ1mUFVskQAuAa9T8g="
+    "hash": "sha256-cYbRH7qT+WSdOWXGxcIiyeOynQWaLV50JE10mp3lQzg="
   },
   "hye_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye_sentences_detailed.tsv.bz2",
-    "hash": "sha256-1TeZ3meF60EYxXmKJ2WG2KbUa2POhru2L9HMZ/d+ZXU="
+    "hash": "sha256-Ps9Jqk4nov6pjmqkqBlQUt0WpxwfQTRDY1ZEOPA7Ais="
   },
   "rus_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus_sentences_detailed.tsv.bz2",
-    "hash": "sha256-EwoCj+YVp48O2rTGcV2zbxl02owbusL9tKjusdHmjeU="
+    "hash": "sha256-by/dNaiwEflOh0ja5UAXK9QmO5NY2N1VBbAeraFFDws="
   },
   "swe_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe_sentences_detailed.tsv.bz2",
-    "hash": "sha256-KRqVELyO039NdxIbUnyI9DCCKauXM0l+pvMTEtSed9I="
+    "hash": "sha256-njOSmppfocz7bpPbb6488xBnntHGnLxYH/aGjrdi6QM="
   },
   "ukr_sentences_detailed": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr_sentences_detailed.tsv.bz2",
-    "hash": "sha256-i/S6FW62NTcSE0bfGoswnJF4vZeEeEjFJOKMkCalT/o="
+    "hash": "sha256-lmh0fV/Vo5NToajvYN5FHAFtx3UrTQQmKOOEdADQ/UE="
   },
   "bel-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-eng_links.tsv.bz2",
@@ -41,19 +41,19 @@     "hash": "sha256-/dZd5E4+wS7yls0ycVJ7AELUHA7AX9fMTIqpbceNlmU="
   },
   "bel-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/bel/bel-rus_links.tsv.bz2",
-    "hash": "sha256-uWwmFXE2AAmLFz7OkYGdpqsyDdnkfLLstPbHlensxIE="
+    "hash": "sha256-3TG6D5IXR8mNnq/w2Y2o7TKMupQDKaMGi4xR8qFQaAg="
   },
   "deu-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-eng_links.tsv.bz2",
-    "hash": "sha256-rVlh5ZpV/wnV6ceCqw/VuUB6BwwxH5MfIrj5hTKKDFo="
+    "hash": "sha256-276oNXLh9oHlDsNSrm1gJmVypKA8rIgf3C/BlLT1h8g="
   },
   "deu-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/deu/deu-rus_links.tsv.bz2",
-    "hash": "sha256-7HkI5ohawG5KEoEMHWWxCoq/oY0wZOMcXbQIPpwYHLM="
+    "hash": "sha256-w9wa4wB2Oe611HlLqYnMYtcf2TV4I4yfDkjyPMZwG8E="
   },
   "eng-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-epo_links.tsv.bz2",
-    "hash": "sha256-eJfDLL4wPw++zD/EgoSfH7Dr4qFC1X8bgvIhndnBKZM="
+    "hash": "sha256-c1Z/opSW1sAr01CZfsiWcGbzGbSQtXCrsYChSbAlvMc="
   },
   "eng-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-bel_links.tsv.bz2",
@@ -61,19 +61,19 @@     "hash": "sha256-BNFFoRrmO/8hGt59hL3pqFE1gH75WyReizPm9P7G5as="
   },
   "eng-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-deu_links.tsv.bz2",
-    "hash": "sha256-gFRpR6DG4XIJRAd+Y3M83OE0t+estE6oT1RIhtdK8d0="
+    "hash": "sha256-pWye06FAKUciTRxSQCwcY6N4UhdfGfPmpIxUomJv4v8="
   },
   "eng-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-fin_links.tsv.bz2",
-    "hash": "sha256-sNDwZcd6JUdUbkrYua3QilJt42/ByfjsBOsekER8aHk="
+    "hash": "sha256-boQvZL1Ge8WkgonWuYIX12MnaWLc2kqmKKRZRVBLxUg="
   },
   "eng-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-hye_links.tsv.bz2",
-    "hash": "sha256-njcZmx8SruHaNjrTsOcvf6t8fcjkS6li33m2Ww5nI74="
+    "hash": "sha256-dPN2ptY7g0Dtm7QS0EOVFYK4rvmjn6z6uFHpZ8JacN8="
   },
   "eng-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-rus_links.tsv.bz2",
-    "hash": "sha256-rIkc8m2jYKJ194X/S6xF5E9WsgTVzxfJDqgxVmOp5oA="
+    "hash": "sha256-xvj/oiH5JnllStCZScsvxf/OgXdKw8Hj+3txrQdUlDU="
   },
   "eng-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-swe_links.tsv.bz2",
@@ -81,55 +81,55 @@     "hash": "sha256-78N/Bf8GJBYQkoI9YK5C7+d2vAxsZmXaaNPFby1xLzc="
   },
   "eng-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/eng/eng-ukr_links.tsv.bz2",
-    "hash": "sha256-dBdrZmOgfnKZCxfK2iOy+pZUswaRGX+30cfgQ8Q/fJg="
+    "hash": "sha256-exCdPqVRTujN+BwtfieRJk/pmByxqq3nw9UmcDNyFZ0="
   },
   "epo-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-eng_links.tsv.bz2",
-    "hash": "sha256-/e6GAyBAWEwDP0ru1Rt09E4Eq6fk4kJ9am85EZFmSiU="
+    "hash": "sha256-VwNbS5/gurfZx+OqVnmpD+cROG9YVL4p859tjS8Wz2o="
   },
   "epo-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/epo/epo-rus_links.tsv.bz2",
-    "hash": "sha256-WmecUW1/kADfvp/TGFOZm/a3KE+RVxIjaE8mB4k8PS0="
+    "hash": "sha256-0rHaWwZhGaty5NpcEvQHlnFrx41bByT0J75lYjVzaoE="
   },
   "fin-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-eng_links.tsv.bz2",
-    "hash": "sha256-5hCsFMPD4W7njUKOgL9kzqJTPSHZfCwfHoPgJyBB03g="
+    "hash": "sha256-TsP68+mUwVwki+pcSlWcpZGDFVC9YOcrLpfnSQVrbvU="
   },
   "fin-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/fin/fin-rus_links.tsv.bz2",
-    "hash": "sha256-+scbWkFkHLwyDIXEEnIrj/hxuaPsBJGCB1KUAIeEyNc="
+    "hash": "sha256-VfpIZTCadbglNWCv4YYjGgNpuaJ4zgJmF4+lxZbu5vA="
   },
   "hye-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-eng_links.tsv.bz2",
-    "hash": "sha256-KVAMMI/m+P1bSojxBUIT3HIIUBsbj1fbj2JQw6Inyvg="
+    "hash": "sha256-CgKvLtVL0ylbec2OUxjr5pLC6GjO7dC/1bCO537dlbw="
   },
   "hye-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/hye/hye-rus_links.tsv.bz2",
-    "hash": "sha256-sTMi1FDXlILJ9z+D8hAq4hLZGM4n85SjfOrPVIDvg+s="
+    "hash": "sha256-EsmprM4aLnL/LpbegLqTcwIaY9Cpxb6sMKctw55K8K8="
   },
   "rus-bel_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-bel_links.tsv.bz2",
-    "hash": "sha256-qkJpk0f4LZnoPJL1SUFmYX1Ro0yjNOiYycsPQ1PmFUk="
+    "hash": "sha256-w2XAmxhHrVnW34Q0hAlC/LP7hFzeFA0Bwkjt26PxXPw="
   },
   "rus-deu_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-deu_links.tsv.bz2",
-    "hash": "sha256-PPX4AHw2x7ZPOQ5LM572THs1gsqWQOOGrGrCmoa+aVU="
+    "hash": "sha256-xoyYseKGXhyObDartpTHWcUH/hVp4Xk1OcK3zCoUkHo="
   },
   "rus-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-eng_links.tsv.bz2",
-    "hash": "sha256-GcPfswBLsLmyhyIbqsHIUq5V6Ak8ckcZ+EliWJjGVSg="
+    "hash": "sha256-I59oJrYZu4aMjx8nBVMo2soDSUQozsS63aJQl1JDkzE="
   },
   "rus-epo_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-epo_links.tsv.bz2",
-    "hash": "sha256-4lRDOROEKYQhK43P0Yv8CYco8laI1phGCBOqDkYAkxI="
+    "hash": "sha256-GVZfloKEMju+TyHNh4i04/7UzgGMC0fhOGVnuIXyZRc="
   },
   "rus-fin_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-fin_links.tsv.bz2",
-    "hash": "sha256-yyWt5vUmRDCmnV1AXWy3KNJktDvcmnhMG2XqsQI5X28="
+    "hash": "sha256-Uww337EIGL7Wg1OmrH+s5DGOAW1Sfk8cqti796SgfQY="
   },
   "rus-hye_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-hye_links.tsv.bz2",
-    "hash": "sha256-EWimCyet8O233HacztmWNhVgCfwOT6uuD92fH+V7FYM="
+    "hash": "sha256-JkGbzs0j96GZIn1sos4SDfHZg6vRaFV855ffqe7Uexo="
   },
   "rus-swe_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-swe_links.tsv.bz2",
@@ -137,7 +137,7 @@     "hash": "sha256-08R617n5/t8JZ3H/hhjIUvpDms1ZZhxD9iPKtKxRYr8="
   },
   "rus-ukr_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/rus/rus-ukr_links.tsv.bz2",
-    "hash": "sha256-XOsKMiZs3ZiV/ffLWJeyhF76EhABIhjdKOCzBukhWTs="
+    "hash": "sha256-ptkq3JwsuEkED6dAb2GPPm6SnEPU/X1JAZkkAxxlOq4="
   },
   "swe-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/swe/swe-eng_links.tsv.bz2",
@@ -149,10 +149,10 @@     "hash": "sha256-gWfRM5dDMbnEtSywF/w2gHkQIMhkTi0UNntxbk6R6Y4="
   },
   "ukr-eng_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-eng_links.tsv.bz2",
-    "hash": "sha256-74BFelEAZF9P92QMpmRa6AhSyjG01ueC/xw3uc7zsJA="
+    "hash": "sha256-NweLOqPFGqNn09kcCHXgjSDiAQrxTpVnCGY34kWB85w="
   },
   "ukr-rus_links": {
     "url": "https://downloads.tatoeba.org/exports/per_language/ukr/ukr-rus_links.tsv.bz2",
-    "hash": "sha256-8asWJo7h9gE29J0GW81JvvoZxuoHf1yXHTomkh3V5kE="
+    "hash": "sha256-gtlUOSAn9E6Vsfgb6ZXTX8tQ8ryPTn3E4nlWyMqN6To="
   }
 }