diff --git a/pkgs/default.nix b/pkgs/default.nix
index 1124bc6d6e51f8d4b639f9ce7eb3bcd95a31e414..4a50b92a8d912593662ff113f641b42966aaf287 100644
--- a/pkgs/default.nix
+++ b/pkgs/default.nix
@@ -225,8 +225,8 @@     mobsql = callPackage ./geospatial/mobsql { };
     morecantile = callPackage ./geospatial/morecantile { };
     orbisgis = callPackage ./geospatial/orbisgis { jre = pkgs.jre8; };
     ossim = callPackage ./geospatial/ossim { };
-    pmtiles = callPackage ./geospatial/pmtiles { };
     pipfile = callPackage ./geospatial/pipfile { };
+    pmtiles = callPackage ./geospatial/pmtiles { };
     polyvectorization = libsForQt5.callPackage ./geospatial/polyvectorization { };
     py-staticmaps = callPackage ./geospatial/py-staticmaps { };
     pysheds = callPackage ./geospatial/pysheds { };
diff --git a/pkgs/misc/pvs-studio/default.nix b/pkgs/misc/pvs-studio/default.nix
index db3d0ad45808c098fa9310a51a5ae6fed5180c2f..35e2df67605875cbc77d70a870dabb37b2adb309 100644
--- a/pkgs/misc/pvs-studio/default.nix
+++ b/pkgs/misc/pvs-studio/default.nix
@@ -10,13 +10,13 @@   }.${system} or throwSystem;
 in
 stdenv.mkDerivation (finalAttrs: {
   pname = "pvs-studio";
-  version = "7.28.78353.377";
+  version = "7.30.81094.390";
 
   src = fetchurl {
     url = "https://cdn.pvs-studio.com/pvs-studio-${finalAttrs.version}-${suffix}.tgz";
     hash = {
-      x86_64-linux = "sha256-XZFehz46Fkka5J2tYE66yxZhUzDYSwYhT6M9QnumFac=";
-      x86_64-darwin = "sha256-S8Tb5g+Dod9OAsL1+sv2CNt1a+aF6WfCUV4YeOIYp1k=";
+      x86_64-linux = "sha256-lUmNWB3dckCKV7EFZDPGZJseqfXksYtRwCXuIE3Jt64=";
+      x86_64-darwin = "sha256-4ws+3ya+vvRWJwZw7sfygIe7d/h80ynoe2EMeCBdtks=";
     }.${system} or throwSystem;
   };
 
diff --git a/pkgs/misc/rhttp/default.nix b/pkgs/misc/rhttp/default.nix
index 6c23fd93c8eaf37edb1be5372b116565a358b467..74fcaf5b4c459144c8b4a9d71cbfa300b986a780 100644
--- a/pkgs/misc/rhttp/default.nix
+++ b/pkgs/misc/rhttp/default.nix
@@ -2,7 +2,7 @@ { lib, fetchFromGitHub, buildGoModule }:
 
 buildGoModule rec {
   pname = "rhttp";
-  version = "0-unnstable-2024-04-22";
+  version = "0-unstable-2024-04-22";
 
   src = fetchFromGitHub {
     owner = "1buran";
diff --git a/pkgs/suckless/dtree/default.nix b/pkgs/suckless/dtree/default.nix
index a6f629d9569e9db966dd08ff49852f6c90770b5a..ab831afe5666358f2f70c0d68944de9e98b777c1 100644
--- a/pkgs/suckless/dtree/default.nix
+++ b/pkgs/suckless/dtree/default.nix
@@ -1,4 +1,4 @@
-{ lib, stdenv, fetchFromSourcehut, redo-apenwarr }:
+{ lib, stdenv, fetchFromSourcehut }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "dtree";
@@ -11,20 +11,9 @@     rev = "v${finalAttrs.version}";
     hash = "sha256-yBu9nckWOt/EMPJbjyzWslGX7KivdR9fr+5laOpRmHM=";
   };
 
-  nativeBuildInputs = [ redo-apenwarr ];
+  FALLBACKVER = finalAttrs.version;
 
-  buildPhase = ''
-    runHook preBuild
-    export FALLBACKVER=${finalAttrs.version}
-    redo all
-    runHook postBuild
-  '';
-
-  installPhase = ''
-    runHook preInstall
-    PREFIX=$out redo install
-    runHook postInstall
-  '';
+  installFlags = [ "PREFIX=$(out)" ];
 
   meta = with lib; {
     description = "Command line program to draw trees";
diff --git a/pkgs/suckless/poe/default.nix b/pkgs/suckless/poe/default.nix
index 15654887acfcec0e6009fd82957a4ddcbc2017f8..627443a149f2d25e4b0b8fd04ed6cab7358bdc53 100644
--- a/pkgs/suckless/poe/default.nix
+++ b/pkgs/suckless/poe/default.nix
@@ -1,4 +1,4 @@
-{ lib, stdenv, fetchFromSourcehut, redo-apenwarr }:
+{ lib, stdenv, fetchFromSourcehut }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "poe";
@@ -11,21 +11,9 @@     rev = "v${finalAttrs.version}";
     hash = "sha256-fQSn/nm9N8RFz/MPKtEU/aCHTGy3J9W0oSGH+siVDmg=";
   };
 
-  nativeBuildInputs = [ redo-apenwarr ];
-
-  buildPhase = ''
-    runHook preBuild
-    export FALLBACKVER=${finalAttrs.version}
-    export FALLBACKDATE=1970-01-01
-    POE_CC=$CC redo all
-    runHook postBuild
-  '';
+  FALLBACKVER = finalAttrs.version;
 
-  installPhase = ''
-    runHook preInstall
-    PREFIX=$out redo install
-    runHook postInstall
-  '';
+  installFlags = [ "PREFIX=$(out)" ];
 
   meta = with lib; {
     description = ".po file editor";
diff --git a/pkgs/suckless/sled/default.nix b/pkgs/suckless/sled/default.nix
index db03044d2120ee30d47b6fb44e3f304e1c341ad5..cc4836a8abb66f6a5d8f186ed0643481e5154e32 100644
--- a/pkgs/suckless/sled/default.nix
+++ b/pkgs/suckless/sled/default.nix
@@ -1,4 +1,4 @@
-{ lib, stdenv, fetchFromSourcehut, redo-apenwarr }:
+{ lib, stdenv, fetchFromSourcehut }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "sled";
@@ -11,21 +11,9 @@     rev = "v${finalAttrs.version}";
     hash = "sha256-7x3siICVeB/ZKeopOWtcdBEwvWYcTm4bcnuPsIsWm5Y=";
   };
 
-  nativeBuildInputs = [ redo-apenwarr ];
+  FALLBACKVER = finalAttrs.version;
 
-  buildPhase = ''
-    runHook preBuild
-    export FALLBACKVER=${finalAttrs.version}
-    export FALLBACKDATE=1970-01-01
-    redo all
-    runHook postBuild
-  '';
-
-  installPhase = ''
-    runHook preInstall
-    PREFIX=$out redo install
-    runHook postInstall
-  '';
+  installFlags = [ "PREFIX=$(out)" ];
 
   meta = with lib; {
     description = "Simple text editor";
@@ -35,5 +23,6 @@     maintainers = [ maintainers.sikmir ];
     platforms = platforms.linux;
     skip.ci = stdenv.isDarwin;
     mainProgram = "sled";
+    broken = true;
   };
 })
diff --git a/pkgs/suckless/ste/default.nix b/pkgs/suckless/ste/default.nix
index 574831fda696e4ccaf3ba810fc3b8c739d35ada1..1b847f4721088fba66aaec3ac76044f4649140b3 100644
--- a/pkgs/suckless/ste/default.nix
+++ b/pkgs/suckless/ste/default.nix
@@ -1,4 +1,4 @@
-{ lib, stdenv, fetchFromSourcehut, redo-apenwarr }:
+{ lib, stdenv, fetchFromSourcehut }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "ste";
@@ -11,20 +11,9 @@     rev = "v${finalAttrs.version}";
     hash = "sha256-rtwM2UZ+ncA5SPg5yt1HlacasdhTov6emiUnByE6VHM=";
   };
 
-  nativeBuildInputs = [ redo-apenwarr ];
+  FALLBACKVER = finalAttrs.version;
 
-  buildPhase = ''
-    runHook preBuild
-    export FALLBACKVER=${finalAttrs.version}
-    redo all
-    runHook postBuild
-  '';
-
-  installPhase = ''
-    runHook preInstall
-    PREFIX=$out redo install
-    runHook postInstall
-  '';
+  installFlags = [ "PREFIX=$(out)" ];
 
   meta = with lib; {
     description = "Simple table editor";
diff --git a/pkgs/suckless/table/default.nix b/pkgs/suckless/table/default.nix
index 669b688554ebd76647d93f3e6340e557453e5184..8eb922e167b3936ec7a559eed24ed5b3539909b6 100644
--- a/pkgs/suckless/table/default.nix
+++ b/pkgs/suckless/table/default.nix
@@ -1,4 +1,4 @@
-{ lib, stdenv, fetchFromSourcehut, redo-apenwarr }:
+{ lib, stdenv, fetchFromSourcehut }:
 
 stdenv.mkDerivation (finalAttrs: {
   pname = "table";
@@ -11,20 +11,9 @@     rev = "v${finalAttrs.version}";
     hash = "sha256-uXGeHowit5Yfweq+/64gP3O9QrITLn7in3R85UPdb1Y=";
   };
 
-  nativeBuildInputs = [ redo-apenwarr ];
+  FALLBACKVER = finalAttrs.version;
 
-  buildPhase = ''
-    runHook preBuild
-    export FALLBACKVER=${finalAttrs.version}
-    redo all
-    runHook postBuild
-  '';
-
-  installPhase = ''
-    runHook preInstall
-    PREFIX=$out redo install
-    runHook postInstall
-  '';
+  installFlags = [ "PREFIX=$(out)" ];
 
   meta = with lib; {
     description = "Command line utility to format and display CSV";